﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="IReusable.cs" company="Microsoft Corporation">
//   Copyright (c) 2008, 2009, 2010 All Rights Reserved, Microsoft Corporation
//
//   This source is subject to the Microsoft Permissive License.
//   Please see the License.txt file for more information.
//   All other rights reserved.
//
//   THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY 
//   KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//   IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//   PARTICULAR PURPOSE.
//
// </copyright>
// <summary>
//    Interface declaration for classes that are reusable.
// </summary>

namespace Microsoft.Exchange.Data.TextConverters
{
    /// <summary>
    /// Interface declaration for classes that are reusable.
    /// </summary>
    internal interface IReusable
    {
        /// <summary>
        /// Initializes the specified new source or destination.
        /// </summary>
        /// <param name="newSourceOrDestination">The new source or destination.</param>
        void Initialize(object newSourceOrDestination);
    }
}