﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="HtmlAttributeId.cs" company="Microsoft Corporation">
//   Copyright (c) 2008, 2009, 2010 All Rights Reserved, Microsoft Corporation
//
//   This source is subject to the Microsoft Permissive License.
//   Please see the License.txt file for more information.
//   All other rights reserved.
//
//   THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY 
//   KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//   IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//   PARTICULAR PURPOSE.
//
// </copyright>
// <summary>
//    An enumeration for an HTML attribute.
// </summary>

namespace Microsoft.Exchange.Data.TextConverters
{
    /// <summary>
    /// An enumeration for an HTML attribute.
    /// </summary>
    internal enum HtmlAttributeId : byte
    {
        Unknown = 0,
        Abbr,
        Accept,
        AcceptCharset,
        AccessKey,
        Action,
        Align,
        Alink,
        Alt,
        Archive,
        Axis,
        Background,
        BGColor,
        Border,
        CellPadding,
        CellSpacing,
        Char,
        CharOff,
        Charset,
        Checked,
        Cite,            
        Class,
        ClassId,
        Clear,
        Code,
        CodeBase,
        CodeType,
        Color,
        Cols,
        ColSpan,
        Compact,
        Content,
        Coords,
        Data,
        DateTime,
        Declare,
        Defer,
        Dir,             
        Disabled,
        DynSrc,
        EncType,
        Face,
        For,
        Frame,           
        FrameBorder,
        Headers,
        Height,
        Href,
        HrefLang,
        Hspace,
        HttpEquiv,
        Id,
        IsMap,
        Label,           
        Lang,
        Language,
        LeftMargin,
        Link,            
        LongDesc,
        LowSrc,
        MarginHeight,
        MarginWidth,
        MaxLength,
        Media,
        Method,
        Multiple,
        Name,
        NoHref,
        NoResize,
        NoShade,
        NoWrap,
        Object,
#if false
        OnAbort, 
        OnActivate, 
        OnAfterPrint, 
        OnAfterUpdate, 
        OnBeforeActivate, 
        OnBeforeCopy, 
        OnBeforeCut, 
        OnBeforeDeactivate, 
        OnBeforeEditFocus, 
        OnBeforePaste, 
        OnBeforeUnload, 
        OnBeforeUpdate, 
        OnBlur,
        OnCellChange, 
        OnChange,
        OnClick,
        OnContextMenu, 
        OnControlSelect, 
        OnCopy, 
        OnCut, 
        OnDataAvailable, 
        OnDatasetChanged, 
        OnDatasetComplete, 
        OnDblClick,
        OnDeactivate, 
        OnDrag, 
        OnDragEnd, 
        OnDragEnter, 
        OnDragLeave, 
        OnDragOver, 
        OnDragStart, 
        OnDrop, 
        OnError, 
        OnErrorUpdate, 
        OnFilterChange, 
        OnFocus,
        OnFocusIn, 
        OnFocusOut, 
        OnHelp, 
        OnKeyDown,
        OnKeyPress,
        OnKeyUp,
        OnLayoutComplete, 
        OnLoseCapture, 
        OnLoad,
        OnMouseDown,
        OnMouseEnter, 
        OnMouseLeave, 
        OnMouseMove,
        OnMouseOut,
        OnMouseOver,
        OnMouseUp,
        OnMouseWheel, 
        OnMove, 
        OnMoveEnd, 
        OnMoveStart, 
        OnPaste, 
        OnPropertyChange, 
        OnReadyStateChange, 
        OnResize, 
        OnResizeEnd, 
        OnResizeStart, 
        OnReset,
        OnRowEnter, 
        OnRowExit, 
        OnRowsDelete, 
        OnRowsInserted, 
        OnScroll, 
        OnSelect,
        OnSelectStart, 
        OnSubmit,
        OnTimeError, 
        OnUnload,
#endif
        Profile,
        Prompt,
        ReadOnly,
        Rel,
        Rev,
        Rows,
        RowSpan,
        Rules,
        Scheme,
        Scope,
        Scrolling,
        Selected,
        Shape,
        Size,
        Span,            
        Src,
        StandBy,
        Start,
        Style,           
        Summary,
        TabIndex,
        Target,
        Text,
        Title,           
        TopMargin,
        Type,
        UseMap,
        Valign,
        Value,
        ValueType,
        Version,
        Vlink,
        Vspace,
        Width,
    }
}