﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="HtmlEntityIndex.cs" company="Microsoft Corporation">
//   Copyright (c) 2008, 2009, 2010 All Rights Reserved, Microsoft Corporation
//
//   This source is subject to the Microsoft Permissive License.
//   Please see the License.txt file for more information.
//   All other rights reserved.
//
//   THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY 
//   KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//   IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//   PARTICULAR PURPOSE.
//
// </copyright>
// <summary>
//    
// </summary>

namespace Microsoft.Exchange.Data.TextConverters.Internal.Html
{
    internal enum HtmlEntityIndex : ushort
    {
        omega = 1,
        emsp = 2,
        rle = 3,
        Oacute = 4,
        fnof = 5,
        Oslash = 6,
        Ntilde = 7,
        larr = 8,
        psi = 9,
        QUOT = 10,
        Pi = 11,
        micro = 12,
        piv = 13,
        upsih = 14,
        Xi = 15,
        lceil = 16,
        aring = 17,
        ni = 18,
        macr = 19,
        cap = 20,
        iuml = 21,
        chi = 22,
        frac14 = 23,
        frac34 = 24,
        ordm = 25,
        nbsp = 26,
        and = 27,
        brvbar = 28,
        zwsp = 29,
        forall = 30,
        pi = 31,
        otimes = 32,
        uacute = 33,
        ang = 34,
        iexcl = 35,
        lrm = 36,
        upsilon = 37,
        xi = 38,
        lre = 39,
        zwj = 40,
        Nu = 41,
        Mu = 42,
        lro = 43,
        COPY = 44,
        nsub = 45,
        sub = 46,
        thorn = 47,
        sum = 48,
        rsquo = 49,
        middot = 50,
        Ecirc = 51,
        permil = 52,
        thinsp = 53,
        times = 54,
        nu = 55,
        mu = 56,
        yen = 57,
        prod = 58,
        dArr = 59,
        euml = 60,
        acirc = 61,
        Beta = 62,
        radic = 63,
        frac12 = 64,
        hearts = 65,
        TRADE = 66,
        rsaquo = 67,
        Auml = 68,
        ugrave = 69,
        ccedil = 70,
        OElig = 71,
        sect = 72,
        Eacute = 73,
        there4 = 74,
        REG = 75,
        plusmn = 76,
        lang = 77,
        thetasym = 78,
        rArr = 79,
        iota = 80,
        rceil = 81,
        empty = 82,
        AMP = 83,
        gt = 84,
        Phi = 85,
        Gamma = 86,
        ass = 87,
        lt = 88,
        Zeta = 89,
        Ograve = 90,
        deg = 91,
        spades = 92,
        zwnj = 93,
        exist = 94,
        delta = 95,
        reg = 96,
        isin = 97,
        Alpha = 98,
        Yuml = 99,
        cedil = 100,
        sup2 = 101,
        rfloor = 102,
        divide = 103,
        Omicron = 104,
        ordf = 105,
        clubs = 106,
        Uuml = 107,
        Eta = 108,
        Acirc = 109,
        Atilde = 110,
        Rho = 111,
        alefsym = 112,
        AElig = 113,
        lfloor = 114,
        hArr = 115,
        oline = 116,
        Aacute = 117,
        Ccedil = 118,
        theta = 119,
        or = 120,
        Egrave = 121,
        trade = 122,
        Int = 123,
        sup1 = 124,
        phi = 125,
        cup = 126,
        equiv = 127,
        sim = 128,
        Yacute = 129,
        Prime = 130,
        uarr = 131,
        mdash = 132,
        amp = 133,
        acute = 134,
        ETH = 135,
        eacute = 136,
        weierp = 137,
        Kappa = 138,
        Theta = 139,
        pound = 140,
        rarr = 141,
        Omega = 142,
        oelig = 143,
        sup = 144,
        igrave = 145,
        cent = 146,
        agrave = 147,
        dagger = 148,
        bull = 149,
        Ouml = 150,
        Aring = 151,
        loz = 152,
        lowast = 153,
        otilde = 154,
        euro = 155,
        uml = 156,
        sigma = 157,
        Epsilon = 158,
        lsaquo = 159,
        image = 160,
        lArr = 161,
        Iuml = 162,
        Chi = 163,
        eta = 164,
        harr = 165,
        aacute = 166,
        nads = 167,
        eth = 168,
        GT = 169,
        Sigma = 170,
        THORN = 171,
        oslash = 172,
        aelig = 173,
        LT = 174,
        notin = 175,
        aafs = 176,
        yacute = 177,
        laquo = 178,
        prime = 179,
        iss = 180,
        Agrave = 181,
        lambda = 182,
        oplus = 183,
        real = 184,
        Ugrave = 185,
        supe = 186,
        para = 187,
        darr = 188,
        sube = 189,
        asymp = 190,
        Euml = 191,
        ocirc = 192,
        Lambda = 193,
        beta = 194,
        sup3 = 195,
        infin = 196,
        Upsilon = 197,
        ucirc = 198,
        Delta = 199,
        auml = 200,
        Iacute = 201,
        circ = 202,
        Iota = 203,
        tilde = 204,
        bdquo = 205,
        scaron = 206,
        Tau = 207,
        zeta = 208,
        pdf = 209,
        perp = 210,
        shy = 211,
        icirc = 212,
        yuml = 213,
        gamma = 214,
        sigmaf = 215,
        rang = 216,
        crarr = 217,
        raquo = 218,
        minus = 219,
        ograve = 220,
        uuml = 221,
        Ocirc = 222,
        nods = 223,
        ldquo = 224,
        rho = 225,
        szlig = 226,
        Ucirc = 227,
        alpha = 228,
        quot = 229,
        Dagger = 230,
        Uacute = 231,
        Igrave = 232,
        Psi = 233,
        tau = 234,
        lsquo = 235,
        ge = 236,
        atilde = 237,
        nabla = 238,
        Scaron = 239,
        cong = 240,
        frasl = 241,
        ne = 242,
        curren = 243,
        le = 244,
        uArr = 245,
        epsilon = 246,
        iacute = 247,
        rlm = 248,
        Otilde = 249,
        sdot = 250,
        rlo = 251,
        ndash = 252,
        egrave = 253,
        Icirc = 254,
        oacute = 255,
        part = 256,
        diams = 257,
        copy = 258,
        ntilde = 259,
        rdquo = 260,
        iquest = 261,
        sbquo = 262,
        not = 263,
        iafs = 264,
        ouml = 265,
        ecirc = 266,
        kappa = 267,
        ensp = 268,
        prop = 269,
        omicron = 270,
        hellip = 271,
    }
}