﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="HtmlTagIndex.cs" company="Microsoft Corporation">
//   Copyright (c) 2008, 2009, 2010 All Rights Reserved, Microsoft Corporation
//
//   This source is subject to the Microsoft Permissive License.
//   Please see the License.txt file for more information.
//   All other rights reserved.
//
//   THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY 
//   KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//   IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//   PARTICULAR PURPOSE.
//
// </copyright>
// <summary>
//    An enumerator for the HTML tag index attributes
// </summary>

namespace Microsoft.Exchange.Data.TextConverters.Internal.Html
{
    // <summary>
    // An enumerator for the HTML tag index attributes
    // </summary>
    internal enum HtmlTagIndex : byte
    {
        _NULL,
        _ROOT,
        _COMMENT,
        _CONDITIONAL,
        _BANG,
        _DTD,
        _ASP,
        Unknown,
        A,
        Abbr,
        Acronym,
        Address,
        Applet,
        Area,
        B,
        Base,
        BaseFont,
        Bdo,
        BGSound,
        Big,
        Blink,
        BlockQuote,
        Body,
        BR,
        Button,
        Caption,
        Center,
        Cite,
        Code,
        Col,
        ColGroup,
        Comment,
        DD,
        Del,
        Dfn,
        Dir,
        Div,
        DL,
        DT,
        EM,
        Embed,
        FieldSet,
        Font,
        Form,
        Frame,
        FrameSet,
        H1,
        H2,
        H3,
        H4,
        H5,
        H6,
        Head,
        HR,
        Html,
        I,
        Iframe,
        Image,
        Img,
        Input,
        Ins,
        IsIndex,
        Kbd,
        Label,
        Legend,
        LI,
        Link,
        Listing,
        Map,
        Marquee,
        Menu,
        Meta,
        NextId,
        NoBR,
        NoEmbed,
        NoFrames,
        NoScript,
        Object,
        OL,
        OptGroup,
        Option,
        P,
        Param,
        PlainText,
        Pre,
        Q,
        RP,
        RT,
        Ruby,
        S,
        Samp,
        Script,
        Select,
        Small,
        Span,
        Strike,
        Strong,
        Style,
        Sub,
        Sup,
        Table,
        Tbody,
        TC,
        TD,
        TextArea,
        Tfoot,
        TH,
        Thead,
        Title,
        TR,
        TT,
        U,
        UL,
        Var,
        Wbr,
        Xmp,
        Xml,
        _Pxml,
        _Import,
        _Xml_Namespace,
        _IMPLICIT_BEGIN,
    }
}